Subject: Re: linux-next: Tree for Jun 19 (drm/i915)

From: "Rafael J. Wysocki" <[email-masked]>
Date: Mon, 07 Jul 2014 22:01:27 +0200

On Monday, July 07, 2014 04:54:23 PM Daniel Vetter wrote:
> On Wed, Jun 25, 2014 at 01:01:36AM +0200, Rafael J. Wysocki wrote:
> > On Tuesday, June 24, 2014 02:43:02 PM Jani Nikula wrote:
> > > On Thu, 19 Jun 2014, Randy Dunlap <[email-masked]> wrote:
> > > > On 06/18/14 23:16, Stephen Rothwell wrote:
> > > >> Hi all,
> > > >> 
> > > >> The powerpc allyesconfig is again broken more than usual.
> > > >> 
> > > >> Changes since 20140618:
> > > >> 
> > > >
> > > > on i386:
> > > >
> > > > CONFIG_ACPI is not enabled.
> > > >
> > > >   CC      drivers/gpu/drm/i915/i915_drv.o
> > > > ../drivers/gpu/drm/i915/i915_drv.c: In function 'i915_drm_freeze':
> > > > ../drivers/gpu/drm/i915/i915_drv.c:547:2: error: implicit declaration of function 'acpi_target_system_state' [-Werror=implicit-function-declaration]
> > > > ../drivers/gpu/drm/i915/i915_drv.c:547:36: error: 'ACPI_STATE_S3' undeclared (first use in this function)
> > > > ../drivers/gpu/drm/i915/i915_drv.c:547:36: note: each undeclared identifier is reported only once for each function it appears in
> > > >   CC      net/dccp/qpolicy.o
> > > > cc1: some warnings being treated as errors
> > > > make[5]: *** [drivers/gpu/drm/i915/i915_drv.o] Error 1
> > > 
> > > Thanks for the report, we'll fix it.
> > > 
> > > Can anyone explain why include/linux/acpi_bus.h has #ifdef
> > > CONFIG_ACPI_SLEEP and conditional build for a dummy inline version of
> > > acpi_target_system_state(), *but* that does not get included or used if
> > > CONFIG_ACPI=n? Additionally, the combination of CONFIG_ACPI=y and
> > > CONFIG_ACPI_SLEEP=n does not seem to work at all.
> > 
> > These two things look like bugs to me.  Most likely not tested thoruoughly
> > enough.
> > 
> > > So we'll really have to sprinkle #ifdef CONFIG_ACPI all over, instead of
> > > neatly using the dummy versions that someone has gone through the
> > > trouble of adding?
> > 
> > No, we don't have to.
> 
> Back from my vacation and I didn't see a conclusion to this issue here.
> Rafael, have you fixed this in your acpi tree or do I need to do something
> in drm-intel?

I was on vacation too. :-)

Please have a look if i915 includes acpi/acpi_bus.h directly anywhere.  If so,
it should include linux/acpi.h instead.  I'll fix up the rest in the ACPI tree.

Rafael